function Mgg(){}
function Sgg(){}
function Cgg(a){this.a=a}
function Egg(a){this.a=a}
function Qgg(a){this.a=a}
function Lgg(a,b){uZf(a.a,b)}
function ghg(a){var b;if(!a.d){b=new Mgg;a.d=b}return a.d}
function Ogg(){lne.call(this,UWj,'Persistence Inheritance')}
function xgg(a){var b;b=gzh(a.b.a,Ptf(),AL(J_c,xuj,1,[]));a5i(S4i(b,kDj),YXj);Rkj(new hkj(b),new Cgg(a))}
function zgg(a,b,d,e){MEd.call(this,a,b,d);this.c=e;this.b=new qZi(DKb,(rzh(),mzh).Mc(DKb),qzh.Mc(DKb));this.a=new FZi(DKb)}
function fhg(a){var b;if(!a.c){b=new zgg(WDd(Iae(a.a)),ghg(a),ehg(a),(elj(oce(a.a)),uKg(Cbe(a.a))),r$i(mce(a.a)));gEd((Jae(a.a),b),dFd(Jae(a.a)));a.c=b}return a.c}
function ygg(a,b){var d;d=uZi(a.a,b,gzh(a.b.a,Ptf(),AL(J_c,xuj,1,[])),AL(C0c,puj,280,[]));if(b.Jc(ZIj)&&Mg(b.Mc(ZIj),Xwj)){b.Pc(ZIj);g5i(S4i(d,$Ij),(mjj(),ljj))}Rkj(new hkj(d),new Egg(a))}
function Bgg(a,b){var d,e;e=Lkj(b);if(e.b.$M(HDj)&&S4i(e,HDj).b.b!=(mjj(),ljj)&&!VNd(S4i(e,HDj).b.bf(),IDj)){UWd(bYj+(PWd(),'Loading JPA Subsystem'))}else{d=vZi(a.a.a,S4i(e,tDj).b.SM());Lgg(a.a.A,d)}}
S1c(3551,998,yvj,zgg);_.Ti=function(){this.A.b=this};_.Yi=function(){xgg(this)};_.aj=function(){Stf(this.c,this)};S1c(3552,1283,{},Cgg);_.eh=function(a){Bgg(this,a)};S1c(3553,1283,{},Egg);_.eh=function(a){var b;b=Lkj(a);b.b.$M(HDj)&&S4i(b,HDj).b.b!=(mjj(),ljj)&&!VNd(S4i(b,HDj).b.bf(),IDj)?VWd(hZj+(PWd(),w9j),U4i(b)):WWd(iZj+(PWd(),w9j));xgg(this.a)};S1c(3556,1400,xvj,Mgg);_.Bh=function(){var a,b,d,e,g,i;this.a=new BZf(DKb);a=new kge(ZIj,x9j,false);g=new Ogg;kne(g,AL(J_c,xuj,1,['DEEP','SHALLOW']));K_d(this.a,xDj,AL(A0c,gwj,261,[a,g]));I_d(this.a,false);d=new YZi(this.a,new Qgg(this));e=new V0e(new Sgg,this.a);b=aAe(cAe(bAe(new eAe,this.a),e));i=GAe(LAe(KAe(HAe(IAe(NAe(new OAe,C$j),w9j),(PWd(),'The configuration of the JPA subsystem.')),Q$j,b),WZi(d)));return i};S1c(3557,1659,mwj,Ogg);_.bk=function(){return false};S1c(3558,1,{},Qgg);_.Gk=function(a){ygg(this.a.b,(this.a.a.c,a))};S1c(3559,1,{},Sgg);_.bl=function(){var a;a=Ptf();b5i(F4i(a),BEj,DBj);return a};S1c(3565,1,ewj);_.td=function(){EFd(this.b,fhg(this.a.a))};var vKb=xMd(3551),rKb=xMd(3552),sKb=xMd(3553),zKb=xMd(3556),wKb=xMd(3557),xKb=xMd(3558),yKb=xMd(3559);Swj(yo)(55);